/* TestClient.java */
/* Chris Jacobi, April 20, 1997 8:42 pm PDT */
/* $Id: TestClient.java,v 1.1 1997/04/22 23:21:47 jacobi Exp $ */

package otherpackage; 

class TestClient {
      
    static testjavaserial.PickleFactory pfactory;
    
    TestClient(){}
        
    static void handleIn() {
        try {
            Object obj;
            System.out.println("Looking up factory");
            pfactory = (testjavaserial.PickleFactory) 
                xerox.ilu.IluSimpleBinding.lookup(
                    "JavaPiTeServer", 
                    "myFactory", 
                    testjavaserial.PickleFactory_stub.iluClass()
                    );
            System.out.println("Got a factory " + pfactory);
            javaserial.JavaPickle cont;
            try {
                //
                //Get the first object ...
                cont = (javaserial.JavaPickle) pfactory.GetJavaPickle();
                    System.out.println("Got a container " + cont);
                obj = cont.getObject();
                System.out.println("First returned object is: " + obj);
                //
                //Get a second object ...
                cont = (javaserial.JavaPickle) pfactory.GetJavaPickle();
                System.out.println("Got a container " + cont);
                obj = cont.getObject();
                System.out.println("Second returned object is: " + obj);
                //
             } catch (java.io.IOException e) {
                 System.out.println("IOException " + e);
             } catch (java.lang.ClassNotFoundException e) {
                 System.out.println("ClassNotFoundException " + e);
             }
        } catch (xerox.ilu.IluSystemException e) {
            System.err.println("Caught an ilu exception: " + e );
        }
    } //handleIn

    public static void main(String argv[]) {
        System.out.println("Start TestClient");
        javaserial.JavaPickle.load();
        testjavaserial._allJavaStubs.load();
        System.out.println("Junk loaded");
        handleIn();
    } //main

} //Test



